diff --git a/framework/inc/dispatch/servicehandler.hxx b/framework/inc/dispatch/servicehandler.hxx
index ea3a66d..8613351 100644
--- a/framework/inc/dispatch/servicehandler.hxx
+++ b/framework/inc/dispatch/servicehandler.hxx
@@ -75,8 +75,8 @@ class ServiceHandler : public  ::cppu::WeakImplHelper<
 
         // XDispatchProvider
         virtual css::uno::Reference< css::frame::XDispatch > SAL_CALL                       queryDispatch  ( const css::util::URL&                                       aURL        ,
-                                                                                                             const OUString&                                      sTarget     ,
-                                                                                                                   sal_Int32                                             nFlags      ) throw( css::uno::RuntimeException, std::exception ) override;
+                                                                                                             const OUString&                                      sRecipient     ,
+                                                                                                                   sal_Int32                                             nOptions      ) throw( css::uno::RuntimeException, std::exception ) override;
         virtual css::uno::Sequence< css::uno::Reference< css::frame::XDispatch > > SAL_CALL queryDispatches( const css::uno::Sequence< css::frame::DispatchDescriptor >& lDescriptor ) throw( css::uno::RuntimeException, std::exception ) override;
 
         // XNotifyingDispatch
diff --git a/framework/inc/dispatch/systemexec.hxx b/framework/inc/dispatch/systemexec.hxx
index fe87a90..46ef9d4 100644
--- a/framework/inc/dispatch/systemexec.hxx
+++ b/framework/inc/dispatch/systemexec.hxx
@@ -73,8 +73,8 @@ class SystemExec :     public  ::cppu::WeakImplHelper<
 
         // XDispatchProvider
         virtual css::uno::Reference< css::frame::XDispatch > SAL_CALL                       queryDispatch  ( const css::util::URL&                                       aURL        ,
-                                                                                                             const OUString&                                      sTarget     ,
-                                                                                                                   sal_Int32                                             nFlags      ) throw( css::uno::RuntimeException, std::exception ) override;
+                                                                                                             const OUString&                                      sRecipient     ,
+                                                                                                                   sal_Int32                                             nOptions      ) throw( css::uno::RuntimeException, std::exception ) override;
         virtual css::uno::Sequence< css::uno::Reference< css::frame::XDispatch > > SAL_CALL queryDispatches( const css::uno::Sequence< css::frame::DispatchDescriptor >& lDescriptor ) throw( css::uno::RuntimeException, std::exception ) override;
 
         // XNotifyingDispatch
diff --git a/framework/inc/helper/dockingareadefaultacceptor.hxx b/framework/inc/helper/dockingareadefaultacceptor.hxx
index 9581c77..f6ed996 100644
--- a/framework/inc/helper/dockingareadefaultacceptor.hxx
+++ b/framework/inc/helper/dockingareadefaultacceptor.hxx
@@ -36,9 +36,7 @@ class DockingAreaDefaultAcceptor    :   public ::cppu::WeakImplHelper< css::ui::
 {
     public:
 
-        //  constructor / destructor
-
-        /*-****************************************************************************************************
+        /*
             @short      constructor to initialize this instance
             @descr      A docking area acceptor
                         But we need a instance to create more than one enumerations to the same tasklist!
@@ -49,7 +47,7 @@ class DockingAreaDefaultAcceptor    :   public ::cppu::WeakImplHelper< css::ui::
             @param      "xOwner" is a reference to our owner and must be the desktop!
             @param      "pTasks" is a pointer to the taskcontainer of the desktop. We need it to create a new enumeration.
             @onerror    Do nothing and reset this object to default with an empty list.
-        *//*-*****************************************************************************************************/
+        */
 
          DockingAreaDefaultAcceptor(    const css::uno::Reference< css::frame::XFrame >& xOwner );
         virtual ~DockingAreaDefaultAcceptor() override;
@@ -60,15 +58,12 @@ class DockingAreaDefaultAcceptor    :   public ::cppu::WeakImplHelper< css::ui::
         virtual sal_Bool SAL_CALL requestDockingAreaSpace( const css::awt::Rectangle& RequestedSpace ) throw (css::uno::RuntimeException, std::exception) override;
         virtual void SAL_CALL setDockingAreaSpace( const css::awt::Rectangle& BorderSpace ) throw (css::uno::RuntimeException, std::exception) override;
 
-    //  variables
-    //  (should be private everyway!)
-
     private:
 
-        css::uno::WeakReference< css::frame::XFrame >       m_xOwner;   /// weak reference to our frame object!
+        css::uno::WeakReference< css::frame::XFrame >       m_xOwner;   /// weak reference to our frame object
 };
 
-} // namespace framework
+}
 
 #endif // INCLUDED_FRAMEWORK_INC_HELPER_DOCKINGAREADEFAULTACCEPTOR_HXX
 
diff --git a/framework/inc/helper/ocomponentaccess.hxx b/framework/inc/helper/ocomponentaccess.hxx
index 1d541b1..ba1e943 100644
--- a/framework/inc/helper/ocomponentaccess.hxx
+++ b/framework/inc/helper/ocomponentaccess.hxx
@@ -37,7 +37,7 @@
 
 namespace framework{
 
-/*-************************************************************************************************************
+/*
     @short          implement XEnumerationAccess interface as helper to create many oneway enumeration of components
     @descr          We share mutex and framecontainer with our owner and have full access to his child tasks.
                     (Our owner can be the Desktop only!) We create oneway enumerations on demand. These "lists"
@@ -52,7 +52,7 @@ namespace framework{
     @base           OWeakObject
 
     @devstatus      ready to use
-*//*-*************************************************************************************************************/
+*/
 
 class OComponentAccess  :   public ::cppu::WeakImplHelper< css::container::XEnumerationAccess >
 {
@@ -63,7 +63,7 @@ class OComponentAccess  :   public ::cppu::WeakImplHelper< css::container::XEnum
 
         //  constructor / destructor
 
-        /*-****************************************************************************************************
+        /*
             @short      constructor to initialize this instance
             @descr      A desktop will create an enumeration-access-object. An enumeration is a oneway-list and a
                         snapshot of the components of current tasks under the desktop.
@@ -74,13 +74,13 @@ class OComponentAccess  :   public ::cppu::WeakImplHelper< css::container::XEnum
 
             @param      "xOwner" is a reference to our owner and must be the desktop!
             @onerror    Do nothing and reset this object to default with an empty list.
-        *//*-*****************************************************************************************************/
+        */
 
         OComponentAccess( const css::uno::Reference< css::frame::XDesktop >& xOwner );
 
         //  XEnumerationAccess
 
-        /*-****************************************************************************************************
+        /*
             @short      create a new enumeration of components
             @descr      You can call this method to get a new snapshot from all components of all tasks of the desktop as an enumeration.
 
@@ -89,27 +89,27 @@ class OComponentAccess  :   public ::cppu::WeakImplHelper< css::container::XEnum
             @seealso    class Desktop
             @return     If the desktop and some components exist => a valid reference to an enumeration<BR>
                         An NULL-reference, other way.
-        *//*-*****************************************************************************************************/
+        */
 
         virtual css::uno::Reference< css::container::XEnumeration > SAL_CALL createEnumeration() throw( css::uno::RuntimeException, std::exception ) override;
 
         //  XElementAccess
 
-        /*-****************************************************************************************************
+        /*
             @short      get the type of elements in enumeration
             @seealso    interface XElementAccess
             @seealso    class OComponentEnumeration
             @return     The uno-type XComponent.
-        *//*-*****************************************************************************************************/
+        */
 
         virtual css::uno::Type SAL_CALL getElementType() throw( css::uno::RuntimeException, std::exception ) override;
 
-        /*-****************************************************************************************************
+        /*
             @short      get state of componentlist of enumeration.
             @seealso    interface XElementAccess
             @return     sal_True  ,if more than 0 elements exist.
             @return     sal_False ,otherwise.
-        *//*-*****************************************************************************************************/
+        */
 
         virtual sal_Bool SAL_CALL hasElements() throw( css::uno::RuntimeException, std::exception ) override;
 
@@ -117,7 +117,7 @@ class OComponentAccess  :   public ::cppu::WeakImplHelper< css::container::XEnum
 
     protected:
 
-        /*-****************************************************************************************************
+        /*
             @short      standard destructor
             @descr      This method destruct an instance of this class and clear some member.
                         Don't use an instance of this class as normal member. Use it dynamicly with a pointer.
@@ -125,14 +125,14 @@ class OComponentAccess  :   public ::cppu::WeakImplHelper< css::container::XEnum
                         Thats the reason for a protected dtor.
 
             @seealso    class Desktop
-        *//*-*****************************************************************************************************/
+        */
 
         virtual ~OComponentAccess() override;
 
 
     private:
 
-        /*-****************************************************************************************************
+        /*
             @short      recursive method (!) to collect all components of all frames from the subtree of given node
             @descr      This is necessary to create the enumeration.
 
@@ -141,12 +141,12 @@ class OComponentAccess  :   public ::cppu::WeakImplHelper< css::container::XEnum
             @param      "xNode"        , root of subtree and start point of search
             @param      "seqComponents", result list of search. We can't use a return value, we search recursive
                                          and must collect all information.
-        *//*-*****************************************************************************************************/
+        */
 
         void impl_collectAllChildComponents(    const   css::uno::Reference< css::frame::XFramesSupplier >&            xNode           ,
                                                         std::vector< css::uno::Reference< css::lang::XComponent > >&   seqComponents   );
 
-        /*-****************************************************************************************************
+        /*
             @short      get the component of a frame
             @descr      The component of a frame can be the window, the controller or the model.
 
@@ -156,39 +156,17 @@ class OComponentAccess  :   public ::cppu::WeakImplHelper< css::container::XEnum
             @return     A reference to the component of given frame.
 
             @onerror    A null reference is returned.
-        *//*-*****************************************************************************************************/
+        */
 
         css::uno::Reference< css::lang::XComponent > impl_getFrameComponent( const css::uno::Reference< css::frame::XFrame >& xFrame ) const;
 
-    //  debug methods
-    //  (should be private everyway!)
-
-        /*-****************************************************************************************************
-            @short      debug-method to check incoming parameter of some other mehods of this class
-            @descr      The following methods are used to check parameters for other methods
-                        of this class. The return value is used directly for an ASSERT(...).
-
-            @seealso    ASSERTs in implementation!
-
-            @param      references to checking variables
-            @return     sal_False ,on invalid parameter.
-            @return     sal_True  ,otherwise
-        *//*-*****************************************************************************************************/
-
-    private:
-
-        static bool impldbg_checkParameter_OComponentAccessCtor( const css::uno::Reference< css::frame::XDesktop >& xOwner );
-
-    //  variables
-    //  (should be private everyway!)
-
     private:
 
-        css::uno::WeakReference< css::frame::XDesktop >     m_xOwner;   /// weak reference to the desktop object!
+        css::uno::WeakReference< css::frame::XDesktop >     m_xOwner;   /// weak reference to the desktop object
 
-};      //  class OComponentAccess
+};
 
-}       //  namespace framework
+}
 
 #endif // INCLUDED_FRAMEWORK_INC_HELPER_OCOMPONENTACCESS_HXX
 
diff --git a/framework/inc/helper/ocomponentenumeration.hxx b/framework/inc/helper/ocomponentenumeration.hxx
index e833f4d..f59898a 100644
--- a/framework/inc/helper/ocomponentenumeration.hxx
+++ b/framework/inc/helper/ocomponentenumeration.hxx
@@ -33,7 +33,7 @@
 
 namespace framework{
 
-/*-************************************************************************************************************
+/*
     @short          implement a helper for a oneway enumeration of components
     @descr          You can step during this list only for one time! It's a snapshot.
                     Don't forget to release the reference. You are the owner of an instance of this implementation.
@@ -48,7 +48,7 @@ namespace framework{
 
     @devstatus      ready to use
     @threadsafe     yes
-*//*-*************************************************************************************************************/
+*/
 
 class OComponentEnumeration :   public ::cppu::WeakImplHelper< css::container::XEnumeration,css::lang::XEventListener >
 {
@@ -59,19 +59,19 @@ class OComponentEnumeration :   public ::cppu::WeakImplHelper< css::container::X
 
         //  constructor / destructor
 
-        /*-****************************************************************************************************
+        /*
             @short      constructor to initialize this enumeration
             @descr      An enumeration is a list with oneway-access! You can get every member only for one time.
                         This method allow to initialize this oneway list with values.
             @param      "seqComponents" is a sequence of interfaces, which are components.
             @onerror    Do nothing and reset this object to default with an empty list.
-        *//*-*****************************************************************************************************/
+        */
 
          OComponentEnumeration( const std::vector< css::uno::Reference< css::lang::XComponent > >& seqComponents );
 
         //  XEventListener
 
-        /*-****************************************************************************************************
+        /*
             @short      last chance to release all references and free memory
             @descr      This method is called, if the enumeration is used completely and has no more elements.
                         Then we must destroy our list and release all references to other objects.
@@ -79,13 +79,13 @@ class OComponentEnumeration :   public ::cppu::WeakImplHelper< css::container::X
             @seealso    interface XEventListener
 
             @param      "aEvent" describe the source of this event.
-        *//*-*****************************************************************************************************/
+        */
 
         virtual void SAL_CALL disposing( const css::lang::EventObject& aEvent ) throw( css::uno::RuntimeException, std::exception ) override;
 
         //  XEnumeration
 
-        /*-****************************************************************************************************
+        /*
             @short      check count of accessible elements of enumeration
             @descr      You can call this method to get information about accessible elements in future.
                         Elements you have already gotten are not accessible!
@@ -95,12 +95,12 @@ class OComponentEnumeration :   public ::cppu::WeakImplHelper< css::container::X
                         sal_False = other way
 
             @onerror    sal_False<BR>
-                        (List is empty and there no accessible elements ...)
-        *//*-*****************************************************************************************************/
+                        (List is emtpy and there's no accessible elements ...)
+        */
 
         virtual sal_Bool SAL_CALL hasMoreElements() throw( css::uno::RuntimeException, std::exception ) override;
 
-        /*-****************************************************************************************************
+        /*
             @short      give the next element, if some exist
             @descr      If a call "hasMoreElements()" return true, you can get the next element of list.
 
@@ -108,7 +108,7 @@ class OComponentEnumeration :   public ::cppu::WeakImplHelper< css::container::X
             @return     A Reference to a component, safed in an Any-structure.
 
             @onerror    If end of enumeration is arrived or there are no elements in list => a NoSuchElementException is thrown.
-        *//*-*****************************************************************************************************/
+        */
 
         virtual css::uno::Any SAL_CALL nextElement() throw( css::container::NoSuchElementException  ,
                                                              css::lang::WrappedTargetException      ,
@@ -118,16 +118,16 @@ class OComponentEnumeration :   public ::cppu::WeakImplHelper< css::container::X
 
     protected:
 
-        /*-****************************************************************************************************
+        /*
             @short      standard destructor
             @descr      This method destruct an instance of this class and clear some member.
                         We make it protected, because it's not supported to use this class as normal instance!
                         You must create it dynamical in memory and use a pointer.
-        *//*-*****************************************************************************************************/
+        */
 
         virtual ~OComponentEnumeration() override;
 
-        /*-****************************************************************************************************
+        /*
             @short      reset instance to default values
 
             @descr      There are two ways to delete an instance of this class.<BR>
@@ -137,7 +137,7 @@ class OComponentEnumeration :   public ::cppu::WeakImplHelper< css::container::X
 
             @seealso    method dispose()
             @seealso    destructor ~TaskEnumeration()
-        *//*-*****************************************************************************************************/
+        */
 
         void impl_resetObject();
 
@@ -147,7 +147,7 @@ class OComponentEnumeration :   public ::cppu::WeakImplHelper< css::container::X
     //  debug methods
     //  (should be private everyway!)
 
-        /*-****************************************************************************************************
+        /*
             @short      debug-method to check incoming parameter of some other mehods of this class
             @descr      The following methods are used to check parameters for other methods
                         of this class. The return value is used directly for an ASSERT(...).
@@ -157,7 +157,7 @@ class OComponentEnumeration :   public ::cppu::WeakImplHelper< css::container::X
             @param      references to checking variables
             @return     sal_False on invalid parameter<BR>
                         sal_True  otherway
-        *//*-*****************************************************************************************************/
+        */
 
     private:
 
diff --git a/framework/inc/helper/oframes.hxx b/framework/inc/helper/oframes.hxx
index 9f82c47..d7ea451 100644
--- a/framework/inc/helper/oframes.hxx
+++ b/framework/inc/helper/oframes.hxx
@@ -94,14 +94,13 @@ class OFrames   :   public ::cppu::WeakImplHelper< css::frame::XFrames >
         virtual void SAL_CALL remove( const css::uno::Reference< css::frame::XFrame >& xFrame ) throw( css::uno::RuntimeException, std::exception ) override;
 
         /*
-            @short      return list of all applicable frames for given flags
-            @descr      Call these to get a list of all frames, which are match with given search flags.
-            @param      "nSearchFlag", flags to search right frames.
-            @return     A list of founded frames.
+            @short      return list of all applicable frames for options given
+            @param      nSearchOptions
+            @return     list of found frames
 
             @onerror    An empty list is returned.
         */
-        virtual css::uno::Sequence< css::uno::Reference< css::frame::XFrame > > SAL_CALL queryFrames( sal_Int32 nSearchFlags ) throw( css::uno::RuntimeException, std::exception ) override;
+        virtual css::uno::Sequence< css::uno::Reference< css::frame::XFrame > > SAL_CALL queryFrames( sal_Int32 nSearchOptions ) throw( css::uno::RuntimeException, std::exception ) override;
 
         //  XIndexAccess
 
@@ -159,12 +158,6 @@ class OFrames   :   public ::cppu::WeakImplHelper< css::frame::XFrames >
 
     protected:
 
-        /*
-            @short      standard destructor
-            @descr      This method destruct an instance of this class and clear some member.
-                        This method is protected, because it's not allowed to use this class as a member!
-                        You MUST use a dynamical instance (pointer). That's the reason for a protected dtor.
-        */
         virtual ~OFrames() override;
 
         /*
@@ -174,7 +167,7 @@ class OFrames   :   public ::cppu::WeakImplHelper< css::frame::XFrames >
                         2) dispose from parent or factory ore ...<BR>
                         This method do the same for both ways! It free used memory and release references ...
 
-            @seealso    method dispose() (if it exist!)
+            @seealso    method dispose() if it exists
             @seealso    destructor ~TaskEnumeration()
         */
         void impl_resetObject();
@@ -194,19 +187,18 @@ class OFrames   :   public ::cppu::WeakImplHelper< css::frame::XFrames >
         void impl_appendSequence(           css::uno::Sequence< css::uno::Reference< css::frame::XFrame > >&    seqDestination  ,
                                      const  css::uno::Sequence< css::uno::Reference< css::frame::XFrame > >&    seqSource       );
 
-    //  debug methods
-    //  (should be private everyway!)
+    //  private debug methods
 
         /*
-            @short      debug-method to check incoming parameter of some other mehods of this class
+            @short      debug method to check incoming parameter of some other mehods of this class
             @descr      The following methods are used to check parameters for other methods
-                        of this class. The return value is used directly for an ASSERT(...).
+                        of this class. The return value is used directly for an ASSERT(...)
 
-            @seealso    ASSERTs in implementation!
+            @seealso    ASSERTs in implementation
 
-            @param      references to checking variables
-            @return     sal_False ,on invalid parameter
-            @return     sal_True  ,otherwise
+            @param      references to variables to check
+            @return     sal_False on invalid parameter
+            @return     sal_True otherwise
         */
 
     private:
@@ -216,13 +208,12 @@ class OFrames   :   public ::cppu::WeakImplHelper< css::frame::XFrames >
         static bool impldbg_checkParameter_remove       (   const   css::uno::Reference< css::frame::XFrame >&              xFrame          );
         static bool impldbg_checkParameter_queryFrames  (           sal_Int32                                               nSearchFlags    );
 
-    //  variables
-    //  (should be private everyway!)
+    //  private variables
 
     private:
-        css::uno::WeakReference< css::frame::XFrame >               m_xOwner;   /// reference to owner of this instance (Hold no hard reference!)
-        FrameContainer*                                             m_pFrameContainer;   /// with owner shared list to hold all direct children of an XFramesSupplier
-        bool                                                        m_bRecursiveSearchProtection;   /// flag to protect against recursive searches of frames at parents
+        css::uno::WeakReference< css::frame::XFrame > m_xOwner;   // reference to owner of this instance (Hold no hard reference)
+        FrameContainer* m_pFrameContainer;   // with owner shared list to hold all direct children of an XFramesSupplier
+        bool m_bRecursiveSearchLock;   // used to tune recursive searches of frames at parents
 
 };
 
diff --git a/framework/inc/helper/persistentwindowstate.hxx b/framework/inc/helper/persistentwindowstate.hxx
index 4e84cb5..15ea51d 100644
--- a/framework/inc/helper/persistentwindowstate.hxx
+++ b/framework/inc/helper/persistentwindowstate.hxx
@@ -36,7 +36,7 @@
 
 namespace framework{
 
-/*-************************************************************************************************************
+/*
     @short          listener for closing document frames to make her window state persistent
     @descr          It's a feature of our office. If a document window was created by ourself (and not from
                     any external process e.g. the office bean) we save and restore the window state of it
@@ -51,7 +51,7 @@ namespace framework{
 
     @devstatus      ready
     @threadsafe     yes
-*//*-*************************************************************************************************************/
+*/
 class PersistentWindowState :   public  ::cppu::WeakImplHelper<
                                            css::lang::XInitialization,
                                            css::frame::XFrameActionListener > // => XEventListener
diff --git a/framework/inc/helper/tagwindowasmodified.hxx b/framework/inc/helper/tagwindowasmodified.hxx
index fdc2659..1e69407 100644
--- a/framework/inc/helper/tagwindowasmodified.hxx
+++ b/framework/inc/helper/tagwindowasmodified.hxx
@@ -35,9 +35,9 @@
 
 namespace framework{
 
-/*-************************************************************************************************************
+/*
     @short          listen for modify events on model and tag frame container window so it can react accordingly
-    @descr          Used e.g. by our MAC port where such state is shown separately on some controls of the
+    @descr          Used e.g. by our mac os x port where such state is shown separately on some controls of the
                     title bar.
 
     @base           OWeakObject
@@ -45,7 +45,7 @@ namespace framework{
 
     @devstatus      draft
     @threadsafe     yes
-*//*-*************************************************************************************************************/
+*/
 class TagWindowAsModified :   public  ::cppu::WeakImplHelper<
                                           css::lang::XInitialization,
                                           css::frame::XFrameActionListener, // => XEventListener
@@ -69,9 +69,8 @@ class TagWindowAsModified :   public  ::cppu::WeakImplHelper<
 
     public:
 
-        // ctor/dtor
                  TagWindowAsModified();
-        virtual ~TagWindowAsModified(                                                                   ) override;
+        virtual ~TagWindowAsModified() override;
 
         // XInterface, XTypeProvider
 
diff --git a/framework/inc/helper/titlebarupdate.hxx b/framework/inc/helper/titlebarupdate.hxx
index 6fc4cb4..2c796b1 100644
--- a/framework/inc/helper/titlebarupdate.hxx
+++ b/framework/inc/helper/titlebarupdate.hxx
@@ -36,12 +36,12 @@
 
 namespace framework{
 
-/*-************************************************************************************************************
+/*
     @short          helps our frame on setting title/icon on the titlebar (including updates)
 
     @devstatus      draft
     @threadsafe     yes
-*//*-*************************************************************************************************************/
+*/
 class TitleBarUpdate : public  ::cppu::WeakImplHelper<
                                    css::lang::XInitialization
                                  , css::frame::XTitleChangeListener // => XEventListener
